> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# DELETE /titles/{titleId}/users/{xuid}/activities

> Delete Activity

# Delete Activity

特定のタイトルをプレイしているユーザーのアクティビティを削除します。

この API を使用すると、ゲーム クライアントは特定のタイトルをプレイしているユーザーのアクティビティを削除できます。タイトルは、ユーザーがマルチプレイヤー アクティビティを離れるとすぐにそのアクティビティを削除する必要があります。タイトルがアクティビティの削除に失敗した場合、ユーザーのアクティビティは最終的にプレゼンス チェックによってクリーンアップされる可能性があります。

```http theme={null}
DELETE /titles/{titleId}/users/{xuid}/activities
```

## URI パラメーター

| パラメーター | 場所 | 必須 | 種類 | 説明 |
| - | - | - | - | - |
| titleId | path | TRUE | integer | リクエストが送信されているゲームの titleId。 |
| xuid | path | TRUE | string | 現在のリクエストで参照されているユーザーの XUID。XUID は基数 10 の整数として表現されます。 |

## リクエスト ヘッダー

| 名前 | 必須 | 種類 | 説明 |
| - | - | - | - |
| Authorization | TRUE | integer | 呼び出し元は XBL 3.0 承認形式で XToken を指定する必要があります。例: Authorization: XBL3.0 x=2553948354698;>encrypted token\<) |
| Content-Type | TRUE | string | ContentType は application/json に設定する必要があります |

## リクエスト本文

| 名前 | 必須 | 種類 | 説明 |
| - | - | - | - |
| sequenceNumber | TRUE | string | これは、クライアントが各リクエストで渡す必要がある単調増加する数値 (ulong) の文字列表現です。アクティビティへの更新の順序を保証するために使用されます。sequenceNumber の良い例は、増加することが保証されているためクライアントの unix 時刻です。0 より大きく、ulong の最大値以下である必要があります。 |

## 応答

| 名前 | 種類 | 説明 |
| - | - | - |
| 204 No Content | | 項目が削除されました。 |
| 400 Bad Request | [ErrorResponse](#errorresponse) | リクエスト処理中にエラーが発生しました。可能なエラー コード: "RequestValidationError: The request validation has failed.", " AuthorizationError: The caller is not allowed to access the resource." |
| その他のステータス コード | [ThrottledEntity](#throttledentity) | リクエストが多すぎます。ヘッダー Retry-After: integer |

## 定義

* [DeleteActivityRequest](#deleteactivityrequest)
* [ErrorResponse](#errorresponse)
* [ThrottledEntity](#throttledentity)

### DeleteActivityRequest

| 名前 | 種類 | 説明 |
| - | - | - |
| sequenceNumber | string | これは、クライアントが各リクエストで渡す必要がある単調増加する数値 (ulong) の文字列表現です。アクティビティへの更新の順序を保証するために使用されます。sequenceNumber の良い例は、増加することが保証されているためクライアントの unix 時刻です。0 より大きく、ulong の最大値以下である必要があります。 |

### ErrorResponse

| 名前 | 種類 | 説明 |
| - | - | - |
| debugMessage | string | デバッグに使用できる、人間が読めるエラー メッセージのバージョン。 |
| errorCode | string | エラー コード列挙型。 |

### ThrottledEntity

| 名前 | 種類 | 説明 |
| - | - | - |
| currentRequests | string | 現在のリクエスト数 - 同時実行またはレート。 |
| debugMessage | string | デバッグに使用できる、人間が読めるスロットル メッセージのバージョン。 |
| limitType | string | 制限の種類 (同時実行またはレート)。 |
| maxRequests | string | 許容される最大リクエスト数 - 同時実行またはレート。 |
| periodInSeconds | string | レートまたは同時実行の制限を超えたときに適用される期間 (秒単位)。 |
| version | string | 現在のスロットル コントラクトのバージョン。 |


## Related topics

- [PUT /titles/{titleId}/users/{xuid}/activities](https://docs.xbox.com/ja-jp/reference/live/rest/uri/multiplayeractivity/swagger-uris/uri-UpdateActivity.md)
- [GET /titles/{titleId}/users/{xuid}/activities API](https://docs.xbox.com/ja-jp/reference/live/rest/uri/multiplayeractivity/swagger-uris/uri-GetActivity.md)
- [DELETE (/users/xuid({xuid})/devices/current/titles/current)](https://docs.xbox.com/ja-jp/reference/live/rest/uri/presence/uri-usersxuiddevicescurrenttitlescurrentdelete.md)
- [POST /titles/{titleId}/activities/query](https://docs.xbox.com/ja-jp/reference/live/rest/uri/multiplayeractivity/swagger-uris/uri-ExternalGetActivityBatch.md)
- [POST /titles/{titleId}/invites](https://docs.xbox.com/ja-jp/reference/live/rest/uri/multiplayeractivity/swagger-uris/uri-SendInvite.md)
